Subject: [Gen-art] Gen-ART LC Review of draft-ietf-hip-native-api-09

From: Ben Campbell <[email-masked]>
Date: Mon, 30 Nov 2009 16:59:33 -0600

I have been selected as the General Area Review Team (Gen-ART) 
reviewer for this draft (for background on Gen-ART, please see 
http://www.alvestrand.no/ietf/gen/art/gen-art-FAQ.html).

Please resolve these comments along with any other Last Call comments 
you may receive.

Document: draft-ietf-hip-native-api-09
Reviewer: Ben Campbell
Review Date: 2009-11-30
IETF LC End Date: 2009-12-03
IESG Telechat date: (if known)

Summary: This draft is ready for publication as an experimental RFC. I have a small number of editorial comments that might be worth addressing if there is a new version prior to publication.

Major issues:

None

Minor issues:

None

Nits/editorial comments:

--Section  1, paragraph 3:
Please expand ORCHID on first mention.

-- Section 1, paragraph 4:
Please expand LSI on first mention.

-- Section 4.2, first paragraph after figure 3:

Am I correct in assuming the EAI_FAMILY error only happens if the ai_family field was set to AF_HIP? That is, it would not make sense for AF_UNSPEC? The paragraph structure makes it looks like it applies to both.

-- idnits returns the following, which I include without prejudice:

> idnits 2.11.15 
> 
> tmp/draft-ietf-hip-native-api-09.txt:
> 
>   Checking boilerplate required by RFC 5378 and the IETF Trust (see
>   http://trustee.ietf.org/license-info):
>   ----------------------------------------------------------------------------
> 
>   == The document has an IETF Trust Provisions (12 Sep 2009) Section 6.c(i)
>      Publication Limitation clause.
> 
> 
>   Checking nits according to http://www.ietf.org/ietf/1id-guidelines.txt:
>   ----------------------------------------------------------------------------
> 
>      No issues found here.
> 
>   Checking nits according to http://www.ietf.org/ID-Checklist.html:
>   ----------------------------------------------------------------------------
> 
>      No issues found here.
> 
>   Miscellaneous warnings:
>   ----------------------------------------------------------------------------
> 
>   == Line 393 has weird spacing: '... struct    soc...'
> 
>   == Line 395 has weird spacing: '... struct    add...'
> 
>   == The document seems to lack a disclaimer for pre-RFC5378 work, but was
>      first submitted before 10 November 2008.  Should you add the disclaimer?
>      (See the Legal Provisions document at
>      http://trustee.ietf.org/license-info for more information.) -- however,
>      there's a paragraph with a matching beginning. Boilerplate error?
> 
> 
>   Checking references for intended status: Experimental
>   ----------------------------------------------------------------------------
> 
>   == Outdated reference: A later version (-10) exists of
>      draft-ietf-shim6-multihome-shim-api-09
> 
>   == Outdated reference: draft-ietf-shim6-proto has been published as RFC 5533
> 
> 
>      Summary: 0 errors (**), 6 warnings (==), 0 comments (--).
> 
>      Run idnits with the --verbose option for more detailed information about
>      the items above.
>